Update Application Connection
/applications/{applicationName}/connections/{connectionName}
Updates the named application connection. If successful, returns details of the updated connection. type is a required input for all connections. Other required inputs differ, depending on the type of the connection.
Request
-
applicationName(required):
Application name.
-
connectionName(required):
Connection name.
Response
200 Response
OK
Connection updated successfully.
400 Response
Bad Request
Failed to update connection.
Examples
The following example shows how to update an existing application-level connection.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X PUT "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample/connections/OracleDB" -H Accept:application/json -H Content-Type:application/json --data "@./app_conn_details_update.json" -u %User%:%Password%The cURL example above delivers a JSON payload in app_conn_details_update.json. The details you need to include in the payload depend on what kind of connection you are updating. The example below is for updating an Oracle Database connection.
Sample JSON Payload - Oracle Database
The following sample JSON payload, passed to REST API in app_conn_details_update.json, is an example for updating a connection to Oracle Database. The required parameters are name, type, subtype, host, port, service (OR sid), user, and password.
{
"name" : "OracleDB",
"type" : "DB",
"subtype" : "ORACLE",
"host" : "dbhostname.example.com",
"port" : 1521,
"user" : "essbase",
"password" : "cGE1NXdvcmQx",
"service" : "orclpdb.example.com"
}For more examples of JSON payloads you can use to test, update, and create connections to sources supported by Essbase, see the Create Connection endpoint.
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"name" : "OracleDB",
"description" : "Updated connection to Database",
"type" : "DB",
"subtype" : "ORACLE",
"minPoolSize" : 5,
"maxPoolSize" : 60,
"host" : "dbhostname.example.com",
"port" : 1521,
"user" : "essbase",
"service" : "orclpdb.example.com",
"links" : [ ]
}